---
dg-publish: true
---
4 de Outubro 2023 - #RAS 

>[!help]+ Ex. 7.1
>The use of a natural language (for instance, English or Spanish) and intuitive diagrams is used for documenting user requirements. What is the main reason?
>
>1. To eliminate the communication difficulties among the stakeholders.
>2. To facilitate understanding
>3. To have no ambiguities
>4. To be precise
>   
>>[!hint]- Resolution
>>Option 2 is the correct one.


>[!help]+ Ex. 7.2
>Which of the following sentences does not constitute a valid system requirement?
>
>1. The product shall be developed using an agile method.
>2. The product shall respond to all requests in less than 5s
>3. The product shall be composed of 12 modules.
>4. The product shall use always menu screens to communicate with the users.
>   
>>[!hint]- Resolution
>>Option 1 does not constitute a valid system requirement.


>[!help] Ex 7.5
>The following are requirements of a controller of a swimming pool: R1: The input valves should be open when the swimming pool is filling. R2: The input valves stop when the level of the water reaches 2 m. R3: The level of the water should increase gradually. R4: The output valves must be open when the water is higher than 2.1 m. Which defects this set of requirements present?
>
>1. ambiguous
>2. solution-dependent
>3. incomplete
>4. not verifiable
>
>>[!hint]- Resolution
>>Option 1 is the correct one.

>[!help] Ex. 7.6
>Analyse the following user requirements and indicate if they are clear and verifiable. If not, reformulate the wording.
>1. The communication system can only "crash", at most, once a month.
>2. The system shall be easy to learn by students with minimal training.
>3. The average delay for the users of a system to pay tolls shall be less than 15s.
>4. All users shall use the same mobile application.
>5. The maximum delay between the submission of a questionnaire and its confirmation must be half an hour.
>6. The operator shall be able to communicate by mobile phone with the bus driver.
>
>>[!hint]- Resolution
>>1. The communication system shall be available 95% of the time.
>>2. Users of the type students with 20h of training shall correctly use 80% of the system features.
>>3. *precise and verifiable, but the using 'average' is not a good measurement* -> The maximum delay for the users of a system to pay tolls shall be less than 15s.
>>4. *depends on the context*
>>5. *precise and verifiable*

